Bug 1775763 - Poor getting started message when user doesn't have permission to create projects
Summary: Poor getting started message when user doesn't have permission to create proj...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Jon Jackson
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1776010
TreeView+ depends on / blocked
 
Reported: 2019-11-22 18:06 UTC by Samuel Padgett
Modified: 2020-05-04 11:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The createProjectMessage was being used in an alert, but the default message did not provide sufficient information. Consequence: Users without self provisioning or any projects available would see a vague message on the projects list page. Fix: Update the content of the alert shown on the projects list page. Result: A better message is shown on the projects list page and users will have a better idea of how to move forward.
Clone Of:
: 1776010 (view as bug list)
Environment:
Version: 4.3.0-0.ci-2019-11-20-134433 Cluster ID: 3658b6cb-ba73-485e-9e00-33a44c46f7d8 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:70.0) Gecko/20100101 Firefox/70.0
Last Closed: 2020-05-04 11:16:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
Error message (39.08 KB, image/png)
2019-11-22 18:06 UTC, Samuel Padgett
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 3498 0 'None' closed Bug 1775763: Fix getting started message for users who can't self provision 2020-04-21 14:05:03 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:16:54 UTC

Description Samuel Padgett 2019-11-22 18:06:34 UTC
Created attachment 1638837 [details]
Error message

See screenshot. We should show something other "You may not request a new project via this API." or at least something in addition to that.

Comment 2 Yadan Pei 2019-11-26 06:28:32 UTC
1. Remove self provisioning for authenticated user 
oc edit clusterrolebindings self-provisioners   // remove these 4 lines
subjects:
- apiGroup: rbac.authorization.k8s.io
  kind: Group
  name: system:authenticated:oauth
clusterrolebinding.rbac.authorization.k8s.io/self-provisioners edited

2. User login to console, you will see message 
 To get started, you'll need a project. Currently, you can't create or access any projects. You'll need to contact a cluster administrator for help. No 'Create Project' button


Verified on 4.4.0-0.nightly-2019-11-25-183933

Comment 4 errata-xmlrpc 2020-05-04 11:16:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.